Relesys API Docs

v1.4

https://api.relesystest.net/api/v1.4

Content

Update Content
PATCH /contentmodules/{moduleId}/content/{contentId}
https://api.relesystest.net/api/v1.4/contentmodules/{moduleId}/content/{contentId}
Update a content post with contentId in a module with moduleId.
Accepts a JsonPatch request in the body and replaces provided fields.

The following fields are allowed to be updated:
categoryId, locales, mediaIds, permissions, and notifications

bodyText in locales must be provided using Markdown syntax.
For more information on permissions, notifications and Markdown syntax visit their respective concept pages.
Scopes: relesys.api, relesys.api:write, relesys.api.content, relesys.api.content:write
URL Path
moduleId string / guid The module's unique identifier required
contentId string / guid The content's unique identifier required
Request Body
application/json-patch+json
JSON
[{"value":"9676240c-d2c4-458d-aab7-656923e9a457","path":"/categoryId","op":"replace"},{"value":[{"culture":"da-DK","title":"Title","bodyText":"Body text"}],"path":"/locales","op":"replace"},{"value":["14f746c6-3153-4755-b7b4-6fa74c12f7b6"],"path":"/mediaIds","op":"replace"},{"value":[{"userGroups":[],"departments":[],"requireAllUserGroups":false}],"path":"/permissions","op":"replace"},{"value":{"sendNotification":false,"sendPushNotification":false,"forceInstantPush":false},"path":"/notifications","op":"replace"}]
array[object]
  from string optional
  op string optional
  path string optional
  value object optional
Responses
application/json
JSON
{"data":{"id":"5dccab36-520d-48dc-acc8-897bcef6f2c8","url":null,"userId":"f5866348-f03e-4711-9aa0-0ae4bc32996a","userUrl":null,"categoryId":"26e32f8e-8f3f-4776-bb10-54163ed0186f","categoryUrl":null,"sortOrder":1,"status":"Published","creationDateTime":"2026-10-25T06:15:45.5959714+00:00","lastModifiedDateTime":"2026-10-26T02:15:45.5959714+00:00","availableFrom":"2026-10-26T06:15:45","startDateTimeZone":null,"availableUntil":"2026-10-27T06:15:45","endDateTimeZone":null,"medias":[{"id":"93513abd-0ff9-4cb5-bf11-e7f12342457a","downloadUrl":null,"referenceUrl":null,"contentType":"image/png","fileName":"image.png"},{"id":"358cc76c-6f8d-41b6-87e9-4aec8136d69b","downloadUrl":null,"referenceUrl":null,"contentType":"video/mp4","fileName":"video.mp4"}],"featureMediaId":null,"featureMediaDownloadUrl":null,"mentions":[{"type":"User","name":"User name example","id":"ae5d1f6c-df14-4ffe-9ae0-36d26cf56301","url":null},{"type":"Department","name":"Department name example","id":"62847a6e-a73c-4ea4-9a20-d7f13dc86b8a","url":null},{"type":"User group","name":"User group name example","id":"fdf00214-11a0-4f25-be21-f348c8593552","url":null}],"locales":[{"culture":"en-GB","title":"Example title 1","bodyText":"<p>Example body text 1</p>"}],"permissions":[{"departments":[{"url":null,"name":"Department name example","id":"004c43e8-5c35-4bd1-8505-dfd89d56b380"}],"userGroups":[{"url":null,"name":"User group name example","id":"e6fbd860-e3af-4b7e-8454-a395f3bfbdfa"}],"requireAllUserGroups":false}]}}
object
  ⯈ data object      
   availableFrom string      
   availableUntil string      
   categoryId string / guid      
   categoryUrl string      
   creationDateTime datetimeoffset      
   endDateTimeZone string      
   featureMediaDownloadUrl string      
   featureMediaId string / guid      
   id string / guid      
   lastModifiedDateTime datetimeoffset      
   ⯈ locales array[object]      
    bodyText string      
    culture string      
    title string      
   ⯈ medias array[object]      
    contentType string      
    downloadUrl string      
    fileName string      
    id string / guid      
    referenceUrl string      
   ⯈ mentions array[object]      
    id string / guid      
    name string      
    type string      
    url string      
   ⯈ permissions array[object]      
    ⯈ departments array[object]      
     id string / guid      
     name string      
     url string      
    requireAllUserGroups boolean      
    ⯈ userGroups array[object]      
     id string / guid      
     name string      
     url string      
   sortOrder integer      
   startDateTimeZone string      
   status string      
   url string      
   userId string / guid      
   userUrl string